#!/bin/bash

set -e
set -x

DEBIAN_FRONTEND=noninteractive apt-get install -y autoconf libtool checkinstall libmp3lame-dev git yasm libgnutls28-dev
# DEBIAN_FRONTEND=noninteractive apt-get install -y libopencore-amrnb-dev libopencore-amrwb-dev || true

git submodule init
git submodule update

mkdir debs || true

./buildfdk-aac.sh
./buildnasm.sh
./buildx264.sh

./buildffmpeg.sh
